# Interface AddressValue

An address value

#### Category

Elementary types

#### Hierarchy

- AddressValue

- Defined in codec/lib/format/elementary.ts:125

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {
ensName?: StringValueInfo;
}

#### Type declaration

- ##### `Optional` ensName?: StringValueInfo

- Defined in codec/lib/format/elementary.ts:138

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:127

### type

type: AddressType

- Defined in codec/lib/format/elementary.ts:126

### value

value: {
asAddress: string;
rawAsHex?: string;
}

#### Type declaration

- ##### asAddress: string

  has leading "0x" and is checksum-cased

- ##### `Optional` rawAsHex?: string

  just a hex string, so no checksum

- Defined in codec/lib/format/elementary.ts:128

Generated using TypeDoc